/*
 * Copyright 2010-2012 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/*
 * @author alex.tkachman
 */
package jet;

import org.jetbrains.jet.rt.annotation.AssertInvisibleInResolver;

@AssertInvisibleInResolver
public abstract class ExtensionFunction3<E, D1, D2, D3, R> extends DefaultJetObject {
    protected ExtensionFunction3() {
        super();
    }

    public abstract R invoke(E receiver, D1 d1, D2 d2, D3 d3);

    @Override
    public String toString() {
      return "{E.(d1: D1, d2: D2, d3: D3) : R)}";
    }
}

